import { usePlans } from 'state/usePlans';
import { useSettings } from 'state/useSettings';
import { useModels } from 'state/useModels';
import { useAccessPolicy } from 'state/useAccessPolicy';
import { useColorModeSync } from './useThemeSync';

export const useInitialData = () => {
  const { plans } = usePlans();
  const { settings } = useSettings();
  useModels();
  useAccessPolicy();
  useColorModeSync();

  return { plans, settings };
};
